nxt.http.callers

## Class IssueCurrencyCall

- java.lang.Object
- - nxt.http.APICall.Builder<T>
  - - nxt.http.callers.CreateTransactionCallBuilder<IssueCurrencyCall>
    - - nxt.http.callers.IssueCurrencyCall

-     public class IssueCurrencyCall
      extends CreateTransactionCallBuilder<IssueCurrencyCall>

- - ### Field Summary

    - ### Fields inherited from class nxt.http.APICall.Builder

      `params`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IssueCurrencyCall` | `algorithm(java.lang.String algorithm)`
    `IssueCurrencyCall` | `code(java.lang.String code)`
    `static IssueCurrencyCall` | `create()`
    `IssueCurrencyCall` | `decimals(java.lang.String decimals)`
    `IssueCurrencyCall` | `description(java.lang.String description)`
    `IssueCurrencyCall` | `initialSupply(long initialSupply)`
    `IssueCurrencyCall` | `issuanceHeight(boolean issuanceHeight)`
    `IssueCurrencyCall` | `maxDifficulty(java.lang.String maxDifficulty)`
    `IssueCurrencyCall` | `maxSupply(long maxSupply)`
    `IssueCurrencyCall` | `minDifficulty(java.lang.String minDifficulty)`
    `IssueCurrencyCall` | `minReservePerUnitNQT(long minReservePerUnitNQT)`
    `IssueCurrencyCall` | `name(java.lang.String name)`
    `IssueCurrencyCall` | `reserveSupply(long reserveSupply)`
    `IssueCurrencyCall` | `ruleset(java.lang.String ruleset)`
    `IssueCurrencyCall` | `type(int type)`

    - ### Methods inherited from class nxt.http.callers.CreateTransactionCallBuilder

      `broadcast, compressMessageToEncrypt, compressMessageToEncryptToSelf, deadline, ecBlockHeight, ecBlockId, ecBlockId, encryptedMessageData, encryptedMessageData, encryptedMessageIsPrunable, encryptedMessageNonce, encryptedMessageNonce, encryptToSelfMessageData, encryptToSelfMessageData, encryptToSelfMessageNonce, encryptToSelfMessageNonce, feeNQT, message, messageIsPrunable, messageIsText, messageToEncrypt, messageToEncryptIsText, messageToEncryptToSelf, messageToEncryptToSelfIsText, phased, phasingFinishHeight, phasingHashedSecret, phasingHashedSecretAlgorithm, phasingHolding, phasingHolding, phasingLinkedFullHash, phasingLinkedFullHash, phasingMinBalance, phasingMinBalanceModel, phasingQuorum, phasingVotingModel, phasingWhitelisted, publicKey, publicKey, recipientPublicKey, recipientPublicKey, referencedTransactionFullHash, referencedTransactionFullHash, secretPhrase`

    - ### Methods inherited from class nxt.http.APICall.Builder

      `build, call, chain, chain, download, getBlock, getBlocks, getCreatedTransaction, getCreatedTransactions, getParam, getTransaction, getTransactions, getTransactions, isParamSet, isRemoteOnly, param, param, param, param, param, param, param, param, param, param, param, parts, remote, setParamValidation, trustRemoteCertificate, unsignedLongParam, unsignedLongParam`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static IssueCurrencyCall create()

    - #### initialSupply

          public IssueCurrencyCall initialSupply(long initialSupply)

    - #### code

          public IssueCurrencyCall code(java.lang.String code)

    - #### minDifficulty

          public IssueCurrencyCall minDifficulty(java.lang.String minDifficulty)

    - #### ruleset

          public IssueCurrencyCall ruleset(java.lang.String ruleset)

    - #### minReservePerUnitNQT

          public IssueCurrencyCall minReservePerUnitNQT(long minReservePerUnitNQT)

    - #### description

          public IssueCurrencyCall description(java.lang.String description)

    - #### issuanceHeight

          public IssueCurrencyCall issuanceHeight(boolean issuanceHeight)

    - #### type

          public IssueCurrencyCall type(int type)

    - #### reserveSupply

          public IssueCurrencyCall reserveSupply(long reserveSupply)

    - #### maxDifficulty

          public IssueCurrencyCall maxDifficulty(java.lang.String maxDifficulty)

    - #### decimals

          public IssueCurrencyCall decimals(java.lang.String decimals)

    - #### name

          public IssueCurrencyCall name(java.lang.String name)

    - #### maxSupply

          public IssueCurrencyCall maxSupply(long maxSupply)

    - #### algorithm

          public IssueCurrencyCall algorithm(java.lang.String algorithm)